Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Class PluginIDRequestInfo

    java.lang.Object
      com.bea.wlcp.wlng.api.plugin.RequestInfo
          com.bea.wlcp.wlng.api.plugin.PluginIDRequestInfo

public class PluginIDRequestInfo
extends RequestInfo

RequestInfo that contains the plug-in ID. This can be used for example from an mobile originated request that needs to find a specific plug-in based on plugin ID.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`PluginIDRequestInfo(Class type, Method method, String pluginId, Object[] args)`

Method Summary
`String` | `getPluginID()` Gets the plugin ID.
`String` | `toShortString()` Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

Methods inherited from class com.bea.wlcp.wlng.api.plugin.RequestInfo
`getArgument, getArguments, getMethod, getMethodName, getType, isForAllPlugins, setForAllPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginIDRequestInfo

    public PluginIDRequestInfo(Class type,
                               Method method,
                               String pluginId,
                               Object[] args)

Method Detail

### getPluginID

    public final String getPluginID()

  Gets the plugin ID.

  Returns:
    The ID of the plugin.

### toShortString

    public String toShortString()

  Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

  Overrides:
    `toShortString` in class `RequestInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD